Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Raspberry Pi Discussion :

Lazarus 2.0.6 pour Raspberry


Sujet :

Raspberry Pi

  1. #1
    Membre confirmé
    Avatar de ChPr
    Homme Profil pro
    Inscrit en
    septembre 2005
    Messages
    1 442
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 74
    Localisation : France, Val d'Oise (Île de France)

    Informations forums :
    Inscription : septembre 2005
    Messages : 1 442
    Points : 617
    Points
    617
    Par défaut Lazarus 2.0.6 pour Raspberry
    Bonjour à toutes et à tous,

    Suivant la procédure décrite dans ce lien, j'ai réalisé les paquets *.deb pour Lazarus 2.0.6 et fpc 3.0.4 pour installation sur un Raspberry.

    Si vous le souhaitez, je peux les mettre à disposition sous forme d'un fichier .zip à télécharger.

    NOTA : j'en ai fait l'essai sur un Raspbery Pi 3B+ sous Buster : tout fonctionne bien sauf ce qui concerne OpenGL. Cela semble être dû aux drivers d'OpenGL. Je ne suis pas assez calé pour en dire plus.

    Cordialement.

    Pierre

  2. #2
    Membre habitué
    Profil pro
    Inscrit en
    septembre 2004
    Messages
    224
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : septembre 2004
    Messages : 224
    Points : 147
    Points
    147
    Par défaut Ce qui à fonctionné pour moi !
    Bonjour,
    Je ramène ma fraise sur la FRANBOISE :
    Après bien des essaies et déboire la seul install qui à fonctionné pour moi est celle-ci https://www.getlazarus.org/setup/?download#linux
    C'était il y a deux semaine, Donc SI J'AVAIS EUE CE POST j'aurai probablement été ravi
    Evidement que tous scripts pour faire une installation facile et correcte sera la bienvenu, Merci Pierre de votre travaille,
    J'ai fais mon installation sur un RASPBERRY PI 4 avec 2GO de mémoire et c'est juste suffisant pour être a peu prés fluide,
    L'OS est JESSI, et là je ne suis pas certain que ce ne soit le plus approprié,
    Il y a en fait peu d'informations sur le net, donc je pense peu d'utilisateurs de LAZARUS(nombre de liens exotique, mort ou vérolé)
    LAZARUS ne suffit pas et nombre de composants importants, usuels et connue sous DELPHI ne s'installent pas sous LAZARUS(INDY,SYNAPSE . . . ).
    Amoureux de DELPHI 1......8 je me suis laissé prendre par LAZARUS, A ce jours un peu dépité.
    MAIS AVEC L'AIDE DE LA Communauté Développez.net je suis certain que ceci va changer
    Bien Cordialement,
    Henri

  3. #3
    Membre confirmé
    Avatar de ChPr
    Homme Profil pro
    Inscrit en
    septembre 2005
    Messages
    1 442
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 74
    Localisation : France, Val d'Oise (Île de France)

    Informations forums :
    Inscription : septembre 2005
    Messages : 1 442
    Points : 617
    Points
    617
    Par défaut
    J'ai travaillé avec Delphi jusqu'à la version 6;

    Citation Envoyé par Henri-gp Voir le message
    ... LAZARUS ne suffit pas et nombre de composants importants, usuels et connue sous DELPHI ne s'installent pas sous LAZARUS(INDY,SYNAPSE . . . ). ...
    Sous Windows et Linux, j'ai installé Indy et Synaser --> OK

    Sur mon Raspberry Pi 3B+, j'ai installé Synaser --> OK

    Cordialement.

    Pierre

  4. #4
    Membre habitué
    Profil pro
    Inscrit en
    septembre 2004
    Messages
    224
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : septembre 2004
    Messages : 224
    Points : 147
    Points
    147
    Par défaut Mais comment avez-vous réussi ?
    On redémarre pour 2020 : BONNE Année à tous,
    Synapse ne s'installe pas et Indy plante le RPI
    Ma question est donc dans le titre : Mais comment avez-vous réussi ?
    Et Jessi est-il le plus approprié ? (j'ai un doute )
    Bien cordialement,
    Henri

  5. #5
    Membre confirmé
    Avatar de ChPr
    Homme Profil pro
    Inscrit en
    septembre 2005
    Messages
    1 442
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 74
    Localisation : France, Val d'Oise (Île de France)

    Informations forums :
    Inscription : septembre 2005
    Messages : 1 442
    Points : 617
    Points
    617
    Par défaut
    Bonne année et plein de petites applications.

    "Mais comment avez-vous réussi ?" Réussi quoi ?

    Ce que j'ai fait :

    • Sous Raspbian Stretch, j'ai installé Lazarus 1.6.2 et des composants dont Synaser.
    • Installer Raspbian Buster sur mon Raspberry Pi 3B+, puis installer Lazarus 2.0.6 en suivant la méthode décrite dans le premier post.
    • Je suis revenu à Raspbian Stretch car il semble qu'il y ait quelques problèmes avec l'OpenGL de Buster.

    Cordialement.

    Pierre

  6. #6
    Membre habitué
    Profil pro
    Inscrit en
    septembre 2004
    Messages
    224
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : septembre 2004
    Messages : 224
    Points : 147
    Points
    147
    Par défaut
    Bonjour Pierre et les autres,
    Je vous parle de "Indy et Synaser"
    Plusieurs PRECISIONS, comme nous n'avons pas les même versions :
    Mon Raspberry est un RPI 4 avec 2go de mémoire,
    J'ai comme OS RASPBIAN GNU / LINUX 10 (buster)
    J'utilise la "Connexion Bureau à distance" depuis mon Windows10 comme ICI
    LAZARUS en version 2.0.0,
    J'essaye d'installer et d'utiliser proprement INDY et Synaser
    INDY s'est installé correctement après plusieurs tentative MAIS PLANTE pur et simplement le RPI,
    SYNAPSE ne s'installe pas du tous.
    Je suis particulièrement intéressé par le pilotage du GPIO et I2C, je pioche mes infos sur ce CE LIEN.
    rpi_hal serai parfait si comme le reste j'arrivais à le faire tourner
    Peut-être après ces jours de fête j'ai des doigts de plomb, mais c'était déjà le même problème en 2019.
    J'ai beaucoup pratiqué DELPHI 1.....7, utilisé les composants ci-dessus(et bien d'autres) avec succès, ainsi que Turbo Pascal il y a bien longtemps,
    Ce qui m'attire vers LAZARUS est, qu'il fonctionner avec RASPBERRY.
    J'ai beaucoup pratiqué ARDUINO et j'ai envie de quelque chose de plus costaud, notamment pour l'adaptation/l'utilisations des cameras.
    Je fais beaucoup de 3D(avec une Velleman K8400 et OPENSCAD) pour mettre tous ce beau monde en boite .
    Merci de votre intérêt, toutes formes d'aide et échange à venir.
    Henri

  7. #7
    Membre confirmé
    Avatar de ChPr
    Homme Profil pro
    Inscrit en
    septembre 2005
    Messages
    1 442
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 74
    Localisation : France, Val d'Oise (Île de France)

    Informations forums :
    Inscription : septembre 2005
    Messages : 1 442
    Points : 617
    Points
    617
    Par défaut
    Citation Envoyé par Henri-gp Voir le message
    ... Mon Raspberry est un RPI 4 avec 2go de mémoire,
    J'ai comme OS RASPBIAN GNU / LINUX 10 (buster) ...
    LAZARUS en version 2.0.0, ...
    Lazarus 2.0.0 est connu pour ne pas accepter de composants autres que ceux qui sont inclus d'origine.

    Citation Envoyé par Henri-gp Voir le message
    ... rpi_hal serai parfait si comme le reste j'arrivais à le faire tourner ...
    La version de rpi-hal à utiliser est la 5.1.

    Je l'utilise avec Lazarus 1.6.2 sous Stretch. J'en ai testé les possibilités en GPIO et je l'utilise avec succès pour lire un compas-accéléro 3D via le bus I2C.

    Quels sont les problèmes que tu as avec ?

    Cordialement.

    Pierre

  8. #8
    Membre habitué
    Profil pro
    Inscrit en
    septembre 2004
    Messages
    224
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : septembre 2004
    Messages : 224
    Points : 147
    Points
    147
    Par défaut
    Je m'y remets doucement après un périple dans mon Dauphiné natal pour les fêtes,

    Lazarus 2.0.0 est connu pour ne pas accepter de composants autres que ceux qui sont inclus d'origine
    Je l'ignorais et je note précieusement ceci,

    La version de rpi-hal à utiliser est la 5.1.
    Idem, j'ai essayé de faire tourner la dernière, 5.6 il me semble, mais ceci est-il toujours vrais pour ma version 2.0.0 de LAZARUS, en tout cas je vais suivre ce précieux conseil .

    Je l'utilise avec Lazarus 1.6.2 sous Stretch
    STRETCH est un OS ? Je ne connais pas(mais je suis loin de tous connaitre), Excepté le soft qui consiste à faire drag and drop ou effectivement on peut écrire/composer ces propres plug-in, mais je vois pas le rapport avec LAZARUS
    Dites-m'en plus SVP sur le couple LAZARUS/STRETCH et votre/sa façon de l'utiliser ?

    Quels sont les problèmes que tu as avec ?(rpi_hal)
    rpi_hal n'est pas un composant mais de simples unitées que l'on intègre dans les "USES", MAIS Là je me trompe peut-être ou je n'ai pas poussé assez loin mes recherches ni l'exploitation de rpi_hal,
    IL existait sous DELPHI un menu pour préciser ou aller chercher les unités nécessaires à certain projets il me semble, je n'ai peut-être pas assez travaillé ce point,
    j'ai pourtant cherché des exemples, en vain !, MAIS si vous ou tout autres avez des exemples et explications sur une utilisation intelligente, qui m'aurai échapper je suis VRAIMENT preneur,
    Merci de votre intérêt et des infos à venir.
    Henri

  9. #9
    Membre confirmé
    Avatar de ChPr
    Homme Profil pro
    Inscrit en
    septembre 2005
    Messages
    1 442
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 74
    Localisation : France, Val d'Oise (Île de France)

    Informations forums :
    Inscription : septembre 2005
    Messages : 1 442
    Points : 617
    Points
    617
    Par défaut
    La version de rpi-hal à utiliser est la 5.1.
    Idem, j'ai essayé de faire tourner la dernière, 5.6 il me semble,

    Je ne savais pas que cette version existait, je vais l’essayer

    Je l'utilise avec Lazarus 1.6.2 sous Stretch

    "Stretch" n'est que la version précédente de Raspbian "Buster"

    Quels sont les problèmes que tu as avec ?(rpi_hal)

    rpi_hal n'est pas un composant mais de simples unités que l'on intègre dans les "USES"


    Il ne faut pas simplement l'ajouter dans la clause "uses", il faut en plus ajouter son chemin dans le menu :

    Projet --> Options du projet --> Options du compilateur --> Chemin --> à la rubrique "autres fichiers unités".

    Cordialement.

    Pierre

  10. #10
    Membre habitué
    Profil pro
    Inscrit en
    septembre 2004
    Messages
    224
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : septembre 2004
    Messages : 224
    Points : 147
    Points
    147
    Par défaut
    Je me suis largement trompé : la dernière version est la 5.1 comme vous l'avez écrit,
    MAIS dans GitHub il y a toute une ribambelle de répertoires, de V3.1 à V4.5(On en fait quoi ?) plus plusieurs *.pas à la source de ce répertoire.
    Merci Pierre et bon WE
    Henri

Discussions similaires

  1. [Lazarus] Lazarus 1.0.14 sur Raspberry Pi
    Par Jiji66 dans le forum Lazarus
    Réponses: 6
    Dernier message: 25/03/2014, 22h14
  2. [Écran] Mini écran pour Raspberry Pi
    Par glad33bx dans le forum Périphériques
    Réponses: 5
    Dernier message: 17/10/2013, 15h30
  3. [Lazarus / Ubuntu] Quelle fonte pour l'EDI ?
    Par ChPr dans le forum Lazarus
    Réponses: 1
    Dernier message: 02/02/2008, 19h11
  4. [Lazarus] Compiler sous Windows pour Linux
    Par JoseF dans le forum Lazarus
    Réponses: 3
    Dernier message: 13/06/2007, 22h43
  5. Réponses: 3
    Dernier message: 27/05/2007, 16h40

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo